import { gql } from "apollo-boost";

export const DELETE_AUDIT_LOG_MUTATION = gql`
mutation deleteAuditLog($timeStamp: timestamptz) {
    delete_audit_log(where: {updated_on: {_lt: $timeStamp}}) {
      affected_rows
    }
}
`;

export const DELETE_EVENT_LOGS = `
DELETE FROM hdb_catalog.event_invocation_logs
WHERE created_at < now() - interval '2 months';

DELETE FROM hdb_catalog.event_log
WHERE (delivered = true OR error = true)
 AND created_at < now() - interval '2 months';
 
DELETE FROM hdb_catalog.hdb_cron_events
WHERE status IN ('delivered', 'error', 'dead')
  AND created_at < now() - interval '2 months';
`;